﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace DownloadFileFromWeb
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnDL_Click(object sender, EventArgs e)
        {
            // Create an instance of WebClient
            WebClient webClient = new WebClient();

            // Start the download and copy the file to c:\temp
            webClient.DownloadFile(new Uri(txtURL.Text), @"c:\temp\myfile.png");
        }

        private void btnDLASync_Click(object sender, EventArgs e)
        {
            // Create an instance of WebClient
            WebClient client = new WebClient();

            // Hookup DownloadFileCompleted Event
            client.DownloadFileCompleted +=
                new AsyncCompletedEventHandler(client_DownloadFileCompleted);

            // Start the download and copy the file to c:\temp
            client.DownloadFileAsync(new Uri(txtURL.Text), @"c:\temp\myfile.png");
        }

        private void client_DownloadFileCompleted(object sender, AsyncCompletedEventArgs e)
        {
            MessageBox.Show("File downloaded");
        }
    }
}
